import 'package:floor/floor.dart';
import 'package:skillcourt/entity/game_score.dart';

@dao
abstract class GameScoreDao {
  @Query('SELECT * FROM game_scores ORDER BY date DESC')
  Future<List<GameScore>> findAllGameScores();

  @Insert(onConflict: OnConflictStrategy.replace)
  Future<void> insertGameScore(GameScore gameScore);
}
